<?xml version="1.0"?>
<gconf>
<entry name="use_http_proxy" mtime="1081018625" muser="root" type="schema" stype="bool" owner="gnome-vfs">
<local_schema locale="C" short_desc="Use proxy settings when accessing http">
<default type="bool" value="false"/>
<longdesc>Enables the proxy settings when accessing http over the
        internet.</longdesc>
</local_schema>
</entry>
<entry name="host" mtime="1081018625" muser="root" type="schema" stype="string" owner="gnome-vfs">
<local_schema locale="C" short_desc="Proxy host name">
<default type="string">
<stringvalue></stringvalue>
</default>
<longdesc>The machine name to proxy http through.</longdesc>
</local_schema>
</entry>
<entry name="port" mtime="1081018625" muser="root" type="schema" stype="int" owner="gnome-vfs">
<local_schema locale="C" short_desc="Proxy port">
<default type="int" value="8080"/>
<longdesc>The port on the machine defined by /system/http_proxy/host
        that you proxy through</longdesc>
</local_schema>
</entry>
<entry name="use_authentication" mtime="1081018625" muser="root" type="schema" stype="bool" owner="gnome-vfs">
<local_schema locale="C" short_desc="Authenticate connections to the proxy server">
<default type="bool" value="false"/>
<longdesc>If true, then connections to the proxy server require
        authentication.  The username/password combo defined by
        /system/http_proxy/authentication_user and
        /system/http_proxy/authentication_password.</longdesc>
</local_schema>
</entry>
<entry name="authentication_user" mtime="1081018625" muser="root" type="schema" stype="string" owner="gnome-vfs">
<local_schema locale="C" short_desc="http proxy username">
<default type="string">
<stringvalue></stringvalue>
</default>
<longdesc>User name to pass as authentication when doing http proxying</longdesc>
</local_schema>
</entry>
<entry name="authentication_password" mtime="1081018625" muser="root" type="schema" stype="string" owner="gnome-vfs">
<local_schema locale="C" short_desc="http proxy password">
<default type="string">
<stringvalue></stringvalue>
</default>
<longdesc>Password to pass as authentication when doing http proxying</longdesc>
</local_schema>
</entry>
<entry name="ignore_hosts" mtime="1081018625" muser="root" type="schema" list_type="string" stype="list" owner="gnome-vfs">
<local_schema locale="C" short_desc="Hosts are not contacted via the proxy">
<default type="list" ltype="string">
<li type="string">
<stringvalue>localhost</stringvalue>
</li>
<li type="string">
<stringvalue>127.0.0.0/8</stringvalue>
</li>
</default>
<longdesc>This key contains a list of hosts which are connected to
	directly, rather than via the proxy (if it is active). The values can
	be hostnames, domains (using an initial wildcard like *.foo.com), IP
	host addresses (both IPv4 and IPv6) and network addresses with a
	netmask (something like 192.168.0.0/24).</longdesc>
</local_schema>
</entry>
</gconf>
